apiVersion: submariner.io/v1
kind: GlobalIngressIP
metadata:
  creationTimestamp: "2024-12-12T00:25:33Z"
  generation: 1
  labels:
    submariner-io/originatingNamespace: openshift-storage
  managedFields:
  - apiVersion: submariner.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          .: {}
          f:submariner-io/originatingNamespace: {}
      f:spec:
        .: {}
        f:serviceRef: {}
        f:target: {}
    manager: submariner-globalnet
    operation: Update
    time: "2024-12-12T00:25:33Z"
  - apiVersion: submariner.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:allocatedIP: {}
        f:conditions: {}
    manager: submariner-globalnet
    operation: Update
    subresource: status
    time: "2024-12-12T00:25:33Z"
  name: rook-ceph-osd-4
  namespace: openshift-storage
  resourceVersion: "10774595"
  uid: 7541b47b-7975-4392-bdc0-55495f8d1b99
spec:
  serviceRef:
    name: rook-ceph-osd-4
  target: ClusterIPService
status:
  allocatedIP: 242.1.255.250
  conditions:
  - lastTransitionTime: "2024-12-12T00:25:33Z"
    message: Allocated global IP
    reason: Success
    status: "True"
    type: Allocated
